import RPi.GPIO as GPIO
import time

class RaspberryPi:

    def __init__(self, blue, yellow, red):
        self.blue_pin = blue
        self.yellow_pin = yellow
        self.red_pin = red

    def setup(self, pin):
        GPIO.setmode(GPIO.BOARD)
        GPIO.setup(pin, GPIO.OUT)

    def set_blue(self):
        self.led = self.blue_pin

    def set_red(self):
        self.led = self.red_pin

    def set_yellow(self):
        self.led = self.yellow_pin

    def light(self, seconds, num=1):
        self.setup(self.led)
        for i in range(0, num):
            GPIO.output(self.led, True)
            time.sleep(seconds)
            GPIO.output(self.led, False)
            time.sleep(seconds)
        GPIO.cleanup()

    def toggle_on(self, pin):
        self.setup(pin)
        GPIO.output(pin, True)

    def toggle_off(self, pin):
        self.setup(pin)
        GPIO.output(pin, False)
        GPIO.cleanup()        
    
    def dot(self):
        self.light(.1)

    def dash(self):
        self.light(1)
